#
# spec file for package python-gzipstream
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if ! (0%{?fedora} || 0%{?rhel} > 5)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%if 0%{?fedora} || 0%{?suse_version} > 1320
%global build_py3   1
%endif

Summary:        Streaming zlib (gzip) support for python
License:        GPL-2.0
Group:          Development/Languages/Python
Name:           python-gzipstream
Version:        2.8.6.1
Release:        bp153.1.13
Url:            https://github.com/spacewalkproject/spacewalk/wiki/Projects_python-gzipstream
Source0:        python-gzipstream-git-0.3d41f81.tar.gz
%if ! (0%{?suse_version} && 0%{?suse_version} <= 1110)
BuildArch:      noarch
%endif
%if (0%{?fedora} > 27 || 0%{?rhel} > 7)
BuildRequires:  python2-devel
%else
BuildRequires:  python-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%global _description\
A streaming gzip handler.\
gzipstream.GzipStream extends the functionality of the gzip.GzipFile class\
to allow the processing of streaming data.\

%description %_description

%package -n python2-gzipstream
Summary:        %summary
Group:          Development/Languages/Python
%if 0%{?fedora}
%{?python_provide:%python_provide python2-gzipstream}
%else
Provides:       python-gzipstream = %{version}-%{release}
Obsoletes:      python-gzipstream < %{version}-%{release}
%endif

%description -n python2-gzipstream %_description

%if 0%{?build_py3}
%package -n python3-gzipstream
Summary:        %summary
Group:          Development/Languages/Python
BuildRequires:  python3-devel
%if 0%{?suse_version}
BuildRequires:  python-rpm-macros
%endif

%description -n python3-gzipstream %_description

%endif

%prep
%setup -q -n python-gzipstream-git-0.3d41f81
mkdir ../py3
cp -a . ../py3

%build
%{__python} setup.py build
%if 0%{?build_py3}
cd ../py3
%{__python3} setup.py build

%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix %{_usr}
%if 0%{?build_py3}
cd ../py3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix %{_usr}

%endif

%files -n python2-gzipstream
%defattr(-,root,root)
%{python_sitelib}/*
%doc html LICENSE

%if 0%{?build_py3}
%files -n python3-gzipstream
%defattr(-,root,root)
%{python3_sitelib}/*
%doc html LICENSE

%endif

%if 0%{?build_py3}
%files -n python3-gzipstream
%defattr(-,root,root)
%{python3_sitelib}/*
%doc html
%license LICENSE

%endif

%changelog
* Fri Feb 23 2018 jgonzalez@suse.com
- version 2.8.6.1-1
- Mark license for python3 subpackage
- Update Python 2 dependency declarations to new packaging standards
* Wed Jan 17 2018 jgonzalez@suse.com
- version 2.8.4.2-1
- require python-rpm-macros when building python3 submodule
* Fri Nov 10 2017 mc@suse.de
- version 2.8.4.1-1
- raise exception instead of returning
* Thu Oct 26 2017 mc@suse.de
- version 2.8.3.1-1
- build python3 subpackage
- package rename to python2-gzipstream
* Mon Mar  6 2017 mc@suse.de
- version 2.7.0.2-1
- Updated links to github in spec files
* Wed Jan 11 2017 michele.bologna@suse.com
- version 2.7.0.1-1
- Bumping package versions for 2.7.
* Wed Oct  7 2015 mc@suse.de
- version 2.5.0.1-1
* Tue Mar 31 2015 mc@suse.de
- version 1.10.2.3-1
- Relicense python-gzipstream to be GPL only
* Tue Feb  3 2015 mc@suse.de
- version 1.10.2.2-1
- Getting rid of Tabs and trailing spaces
* Tue Dec 10 2013 mc@suse.de
- version 1.10.2.1-1
- switch to 2.1
* Fri Apr 20 2012 mc@suse.de
- version 1.7.1.1-1
- Bumping package version
